// TODO: Test this
body.maintenance-page {
  background-color: #fff !important;
  background-image: url('../../assets/images/gears_cogs_wartungsmodus_maintenance_mode.svg');
  background-repeat: no-repeat;
  background-size: 80% auto;
  background-position: center bottom;
  display: flex;
  justify-content: center;
  align-items:center;
  min-height: 100vh;
  padding: 0 !important;
  margin: 0 !important;

  &__advanced-region {
    flex: 1 1 auto;
    align-self: center;
  }
}

.maintenance-message {
  max-width: 800px;
  border-left: 6px solid var(--bs-primary);
  border-radius: 3px;
  margin-inline: auto;
  background: rgba(255, 255, 255, 0.5);
  padding: 35px;
  box-shadow: var(--bs-box-shadow-lg);
  font-size: 18px !important;

  &__logo,
  &__site-name {
    margin: 0 -35px 15px;
    padding: 0 15px 25px;
    text-align: center;
    border-bottom: 1px solid var(--bs-gray-light);

    img {
      width: 300px;
      max-width: 100%;
    }
  }

  &__title {
    text-align: left;
    font-size: 22px !important;
  }

  &__message {
    margin-bottom: 25px;
  }

  &__contact-box {
    margin: 15px -35px 0;
    padding: 25px 15px 0;
    border-top: 1px solid var(--bs-gray-light);
    display: flex;
    flex-direction: column;
    align-items: center;

    *:last-child {
      margin-bottom: 0;
    }
  }
}
